<?xml version="1.0"?>
<!-- edited with XML Spy v4.3 (http://www.xmlspy.com) by Test User (private) -->
<!-- sh, 28.03.08, entwickelt aus new-table.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:doc="http://nwalsh.com/xsl/documentation/1.0" xmlns:stbl="http://nwalsh.com/xslt/ext/com.nwalsh.saxon.table" xmlns:xtbl="com.nwalsh.xalan.table" xmlns:lxslt="http://xml.apache.org/xslt" exclude-result-prefixes="doc stbl xtbl lxslt" version="1.0">
	<xsl:template name="copy-string">
		<!-- returns 'count' copies of 'string' -->
		<xsl:param name="string"/>
		<xsl:param name="count" select="0"/>
		<xsl:param name="result"/>
		<xsl:choose>
			<xsl:when test="$count&gt;0">
				<xsl:call-template name="copy-string">
					<xsl:with-param name="string" select="$string"/>
					<xsl:with-param name="count" select="$count - 1"/>
					<xsl:with-param name="result">
						<xsl:value-of select="$result"/>
						<xsl:value-of select="$string"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$result"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="dbhtml-attribute">
		<xsl:param name="pis" select="processing-instruction('dbhtml')"/>
		<xsl:param name="attribute">filename</xsl:param>
		<xsl:call-template name="pi-attribute">
			<xsl:with-param name="pis" select="$pis"/>
			<xsl:with-param name="attribute" select="$attribute"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="pi-attribute">
		<xsl:param name="pis" select="processing-instruction('')"/>
		<xsl:param name="attribute">filename</xsl:param>
		<xsl:param name="count">1</xsl:param>
		<!--<xsl:message>MMMMM<xsl:value-of select="$pis"/></xsl:message> -->
		<xsl:choose>
			<xsl:when test="$count&gt;count($pis)">
				<!-- not found -->
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="pi">
					<xsl:value-of select="$pis[$count]"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="contains($pi,concat($attribute, '='))">
						<xsl:variable name="rest" select="substring-after($pi,concat($attribute,'='))"/>
						<xsl:variable name="quote" select="substring($rest,1,1)"/>
						<xsl:value-of select="substring-before(substring($rest,2),$quote)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="pi-attribute">
							<xsl:with-param name="pis" select="$pis"/>
							<xsl:with-param name="attribute" select="$attribute"/>
							<xsl:with-param name="count" select="$count + 1"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="object.id">
		<xsl:param name="object" select="."/>
		<xsl:choose>
			<xsl:when test="$object/@id">
				<xsl:value-of select="$object/@id"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="generate-id($object)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- ====================================================================== -->
	<xsl:template name="blank.spans">
		<xsl:param name="cols" select="1"/>
		<xsl:if test="$cols &gt; 0">
			<xsl:text>0:</xsl:text>
			<xsl:call-template name="blank.spans">
				<xsl:with-param name="cols" select="$cols - 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="calculate.following.spans">
		<xsl:param name="colspan" select="1"/>
		<xsl:param name="spans" select="''"/>
		<xsl:choose>
			<xsl:when test="$colspan &gt; 0">
				<xsl:call-template name="calculate.following.spans">
					<xsl:with-param name="colspan" select="$colspan - 1"/>
					<xsl:with-param name="spans" select="substring-after($spans,':')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$spans"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="finaltd">
		<xsl:param name="spans"/>
		<xsl:param name="col" select="0"/>
		<xsl:if test="$spans != ''">
			<xsl:choose>
				<xsl:when test="starts-with($spans,'0:')">
					<xsl:call-template name="empty.table.cell">
						<xsl:with-param name="colnum" select="$col"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<xsl:call-template name="finaltd">
				<xsl:with-param name="spans" select="substring-after($spans,':')"/>
				<xsl:with-param name="col" select="$col+1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="sfinaltd">
		<xsl:param name="spans"/>
		<xsl:if test="$spans != ''">
			<xsl:choose>
				<xsl:when test="starts-with($spans,'0:')">0:</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring-before($spans,':')-1"/>
					<xsl:text>:</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:call-template name="sfinaltd">
				<xsl:with-param name="spans" select="substring-after($spans,':')"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="entry.colnum">
		<xsl:param name="entry" select="."/>
		<xsl:choose>
			<xsl:when test="$entry/@spanname">
				<xsl:variable name="spanname" select="$entry/@spanname"/>
				<xsl:variable name="spanspec" select="$entry/ancestor::tgroup/spanspec[@spanname=$spanname]"/>
				<xsl:variable name="colspec" select="$entry/ancestor::tgroup/colspec[@colname=$spanspec/@namest]"/>
				<xsl:call-template name="colspec.colnum">
					<xsl:with-param name="colspec" select="$colspec"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$entry/@colname">
				<xsl:variable name="colname" select="$entry/@colname"/>
				<xsl:variable name="colspec" select="$entry/ancestor::tgroup/colspec[@colname=$colname]"/>
				<xsl:call-template name="colspec.colnum">
					<xsl:with-param name="colspec" select="$colspec"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$entry/@namest">
				<xsl:variable name="namest" select="$entry/@namest"/>
				<xsl:variable name="colspec" select="$entry/ancestor::tgroup/colspec[@colname=$namest]"/>
				<xsl:call-template name="colspec.colnum">
					<xsl:with-param name="colspec" select="$colspec"/>
				</xsl:call-template>
			</xsl:when>
			<!-- no idea, return 0 -->
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="colspec.colnum">
		<xsl:param name="colspec" select="."/>
		<xsl:choose>
			<xsl:when test="$colspec/@colnum">
				<xsl:value-of select="$colspec/@colnum"/>
			</xsl:when>
			<xsl:when test="$colspec/preceding-sibling::colspec">
				<xsl:variable name="prec.colspec.colnum">
					<xsl:call-template name="colspec.colnum">
						<xsl:with-param name="colspec" select="$colspec/preceding-sibling::colspec[1]"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:value-of select="$prec.colspec.colnum + 1"/>
			</xsl:when>
			<xsl:otherwise>1</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="calculate.colspan">
		<xsl:param name="entry" select="."/>
		<xsl:variable name="spanname" select="$entry/@spanname"/>
		<xsl:variable name="spanspec" select="$entry/ancestor::tgroup/spanspec[@spanname=$spanname]"/>
		<xsl:variable name="namest">
			<xsl:choose>
				<xsl:when test="@spanname">
					<xsl:value-of select="$spanspec/@namest"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$entry/@namest"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="nameend">
			<xsl:choose>
				<xsl:when test="@spanname">
					<xsl:value-of select="$spanspec/@nameend"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$entry/@nameend"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="scol">
			<xsl:call-template name="colspec.colnum">
				<xsl:with-param name="colspec" select="$entry/ancestor::tgroup/colspec[@colname=$namest]"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="ecol">
			<xsl:call-template name="colspec.colnum">
				<xsl:with-param name="colspec" select="$entry/ancestor::tgroup/colspec[@colname=$nameend]"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$namest != '' and $nameend != ''">
				<xsl:choose>
					<!--<xsl:when test="$ecol &gt;= $scol">-->
					<xsl:when test="$ecol >= $scol">
						<xsl:value-of select="$ecol - $scol + 1"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$scol - $ecol + 1"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>1</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="inherited.table.attribute">
		<xsl:param name="entry" select="."/>
		<xsl:param name="colnum" select="0"/>
		<xsl:param name="attribute" select="'colsep'"/>
		<xsl:variable name="entry.value">
			<xsl:call-template name="get-attribute">
				<xsl:with-param name="element" select="$entry"/>
				<xsl:with-param name="attribute" select="$attribute"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="row.value">
			<xsl:call-template name="get-attribute">
				<xsl:with-param name="element" select="$entry/ancestor::row[1]"/>
				<xsl:with-param name="attribute" select="$attribute"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="span.value">
			<xsl:if test="$entry/@spanname">
				<xsl:variable name="spanname" select="$entry/@spanname"/>
				<xsl:variable name="spanspec" select="$entry/ancestor::tgroup/spanspec[@spanname=$spanname]"/>
				<xsl:variable name="span.colspec" select="$entry/ancestor::tgroup/colspec[@colname=$spanspec/@namest]"/>
				<xsl:variable name="spanspec.value">
					<xsl:call-template name="get-attribute">
						<xsl:with-param name="element" select="$spanspec"/>
						<xsl:with-param name="attribute" select="$attribute"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:variable name="scolspec.value">
					<xsl:call-template name="get-attribute">
						<xsl:with-param name="element" select="$span.colspec"/>
						<xsl:with-param name="attribute" select="$attribute"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$spanspec.value != ''">
						<xsl:value-of select="$spanspec.value"/>
					</xsl:when>
					<xsl:when test="$scolspec.value != ''">
						<xsl:value-of select="$scolspec.value"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="namest.value">
			<xsl:if test="$entry/@namest">
				<xsl:variable name="namest" select="$entry/@namest"/>
				<xsl:variable name="colspec" select="$entry/ancestor::tgroup/colspec[@colname=$namest]"/>
				<xsl:variable name="namest.value">
					<xsl:call-template name="get-attribute">
						<xsl:with-param name="element" select="$colspec"/>
						<xsl:with-param name="attribute" select="$attribute"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$namest.value">
						<xsl:value-of select="$namest.value"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="tgroup.value">
			<xsl:call-template name="get-attribute">
				<xsl:with-param name="element" select="$entry/ancestor::tgroup[1]"/>
				<xsl:with-param name="attribute" select="$attribute"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$entry.value != ''">
				<xsl:value-of select="$entry.value"/>
			</xsl:when>
			<xsl:when test="$row.value != ''">
				<xsl:value-of select="$row.value"/>
			</xsl:when>
			<xsl:when test="$span.value != ''">
				<xsl:value-of select="$span.value"/>
			</xsl:when>
			<xsl:when test="$namest.value != ''">
				<xsl:value-of select="$namest.value"/>
			</xsl:when>
			<xsl:when test="$colnum &gt; 0">
				<xsl:variable name="calc.colvalue">
					<xsl:call-template name="colnum.colspec">
						<xsl:with-param name="colnum" select="$colnum"/>
						<xsl:with-param name="attribute" select="$attribute"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$calc.colvalue != ''">
						<xsl:value-of select="$calc.colvalue"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$tgroup.value"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$tgroup.value"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="colnum.colspec">
		<xsl:param name="colnum" select="0"/>
		<xsl:param name="attribute" select="'colname'"/>
		<xsl:param name="colspecs" select="ancestor::tgroup/colspec"/>
		<xsl:param name="count" select="1"/>
		<xsl:choose>
			<xsl:when test="not($colspecs) or $count &gt; $colnum">
				<!-- nop -->
			</xsl:when>
			<xsl:when test="$colspecs[1]/@colnum">
				<xsl:choose>
					<xsl:when test="$colspecs[1]/@colnum = $colnum">
						<xsl:call-template name="get-attribute">
							<xsl:with-param name="element" select="$colspecs[1]"/>
							<xsl:with-param name="attribute" select="$attribute"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="colnum.colspec">
							<xsl:with-param name="colnum" select="$colnum"/>
							<xsl:with-param name="attribute" select="$attribute"/>
							<xsl:with-param name="colspecs" select="$colspecs[position()&gt;1]"/>
							<xsl:with-param name="count" select="$colspecs[1]/@colnum+1"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$count = $colnum">
						<xsl:call-template name="get-attribute">
							<xsl:with-param name="element" select="$colspecs[1]"/>
							<xsl:with-param name="attribute" select="$attribute"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="colnum.colspec">
							<xsl:with-param name="colnum" select="$colnum"/>
							<xsl:with-param name="attribute" select="$attribute"/>
							<xsl:with-param name="colspecs" select="$colspecs[position()&gt;1]"/>
							<xsl:with-param name="count" select="$count+1"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="get-attribute">
		<xsl:param name="element" select="."/>
		<xsl:param name="attribute" select="''"/>
		<xsl:for-each select="$element/@*">
			<xsl:if test="local-name(.) = $attribute">
				<xsl:value-of select="."/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- **************************************************************
     $Id: param.xweb,v 1.38 2002/03/18 13:39:20 nwalsh Exp $
     ********************************************************************
     This file is part of the XSL DocBook Stylesheet distribution. See ../README or http://nwalsh.com/docbook/xsl/ for copyright and other information.

     ******************************************************************** -->
	<xsl:param name="default.table.width" select="''"/>
	<xsl:param name="show.revisionflag">0</xsl:param>
	<xsl:param name="table.border.color" select="'black'"/>
	<xsl:param name="table.border.style" select="'solid'"/>
	<xsl:param name="table.border.thickness" select="'0.5pt'"/>
	<xsl:param name="table.borders.with.css" select="0"/>
	<xsl:param name="tablecolumns.extension" select="'1'"/>
	<xsl:param name="use.extensions" select="'0'"/>
	<xsl:param name="using.chunker" select="0"/>
	<!-- ********************************************************************
     $Id: html.xsl,v 1.4 2002/03/14 18:43:36 nwalsh Exp $
     ********************************************************************
     This file is part of the XSL DocBook Stylesheet distribution.
     See ../README or http://nwalsh.com/docbook/xsl/ for copyright
     and other information.

     ******************************************************************** -->
	<xsl:template name="anchor">
		<xsl:param name="node" select="."/>
		<xsl:param name="conditional" select="1"/>
		<xsl:variable name="id">
			<xsl:call-template name="object.id">
				<xsl:with-param name="object" select="$node"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="$conditional = 0 or $node/@id">
			<a name="{$id}"/>
		</xsl:if>
	</xsl:template>
	<!-- ********************************************************************
     $Id: table.xsl,v 1.15 2002/03/25 12:48:31 nwalsh Exp $
     ********************************************************************
     This file is part of the XSL DocBook Stylesheet distribution. See ../README or http://nwalsh.com/docbook/xsl/ for copyright and other information.

     ******************************************************************** -->
	<lxslt:component prefix="xtbl" functions="adjustcolumnwidths"/>
	<xsl:template name="empty.table.cell">
		<xsl:param name="colnum" select="0"/>
		<xsl:variable name="rowsep">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="not-an-element-name"/>
				<xsl:with-param name="colnum" select="$colnum"/>
				<xsl:with-param name="attribute" select="'rowsep'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="colsep">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="not-an-element-name"/>
				<xsl:with-param name="colnum" select="$colnum"/>
				<xsl:with-param name="attribute" select="'colsep'"/>
			</xsl:call-template>
		</xsl:variable>
		<td class="auto-generated">
			<xsl:if test="$table.borders.with.css != 0">
				<xsl:attribute name="style"><xsl:if test="$colsep &gt; 0"><xsl:call-template name="border"><xsl:with-param name="side" select="'right'"/></xsl:call-template></xsl:if><xsl:if test="$rowsep &gt; 0"><xsl:call-template name="border"><xsl:with-param name="side" select="'bottom'"/></xsl:call-template></xsl:if></xsl:attribute>
			</xsl:if>
			<xsl:text>&#160;</xsl:text>
		</td>
	</xsl:template>
	<!-- ==================================================================== -->
	<xsl:template name="border">
		<xsl:param name="side" select="'left'"/>
		<xsl:param name="padding" select="0"/>
		<xsl:text>border-</xsl:text>
		<xsl:value-of select="$side"/>
		<xsl:text>: </xsl:text>
		<xsl:value-of select="$table.border.thickness"/>
		<xsl:text/>
		<xsl:value-of select="$table.border.style"/>
		<xsl:text/>
		<xsl:value-of select="$table.border.color"/>
		<xsl:text>; </xsl:text>
	</xsl:template>
	<!-- ======================= hier geht's eigentlich los! ============================================= -->
	<xsl:template match="tgroup">
		<div class="rtable_nef">
			<table class="rtable_nef">
				<xsl:if test="../@pgwide=1">
					<xsl:attribute name="width">100%</xsl:attribute>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="../@frame='none'">
						<xsl:attribute name="border">0</xsl:attribute>
					</xsl:when>
					<xsl:when test="$table.borders.with.css != 0">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:choose>
							<xsl:when test="../@frame='topbot' or ../@frame='top'">
								<xsl:attribute name="style"><xsl:call-template name="border"><xsl:with-param name="side" select="'top'"/></xsl:call-template></xsl:attribute>
							</xsl:when>
							<xsl:when test="../@frame='sides'">
								<xsl:attribute name="style"><xsl:call-template name="border"><xsl:with-param name="side" select="'left'"/></xsl:call-template><xsl:call-template name="border"><xsl:with-param name="side" select="'right'"/></xsl:call-template></xsl:attribute>
							</xsl:when>
						</xsl:choose>
					</xsl:when>
					<!--<xsl:otherwise>
					<xsl:attribute name="border">1</xsl:attribute>
				</xsl:otherwise>-->
				</xsl:choose>
				<xsl:variable name="colgroup">
					<colgroup>
						<xsl:call-template name="generate.colgroup">
							<xsl:with-param name="cols" select="@cols"/>
						</xsl:call-template>
					</colgroup>
				</xsl:variable>
				<xsl:variable name="explicit.table.width">
					<xsl:call-template name="dbhtml-attribute">
						<xsl:with-param name="pis" select="../processing-instruction('dbhtml')[1]"/>
						<xsl:with-param name="attribute" select="'table-width'"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:variable name="table.width">
					<xsl:choose>
						<xsl:when test="$explicit.table.width != ''">
							<xsl:value-of select="$explicit.table.width"/>
						</xsl:when>
						<xsl:when test="$default.table.width = ''">
							<xsl:text>100%</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$default.table.width"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:if test="$default.table.width != '' or $explicit.table.width != ''">
					<xsl:attribute name="width"><xsl:choose><xsl:when test="contains($table.width, '%')"><xsl:value-of select="$table.width"/></xsl:when><xsl:when test="$use.extensions != 0 and $tablecolumns.extension != 0"><xsl:choose><xsl:when test="function-available('stbl:convertLength')"><xsl:value-of select="stbl:convertLength($table.width)"/></xsl:when><xsl:when test="function-available('xtbl:convertLength')"><xsl:value-of select="xtbl:convertLength($table.width)"/></xsl:when><xsl:otherwise><xsl:message terminate="yes"><xsl:text>No convertLength function available.</xsl:text></xsl:message></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$table.width"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$use.extensions != 0 and $tablecolumns.extension != 0">
						<xsl:choose>
							<xsl:when test="function-available('stbl:adjustcolumnwidths')">
								<xsl:copy-of select="stbl:adjustcolumnwidths($colgroup)"/>
							</xsl:when>
							<xsl:when test="function-available('xtbl:adjustcolumnwidths')">
								<xsl:copy-of select="xtbl:adjustcolumnwidths($colgroup)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message terminate="yes">
									<xsl:text>No adjustcolumnwidths function available.</xsl:text>
								</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="$colgroup"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="thead"/>
				<xsl:apply-templates select="tfoot"/>
				<xsl:apply-templates select="tbody"/>
			</table>
		</div>
	</xsl:template>
	<xsl:template match="colspec"/>
	<xsl:template match="spanspec"/>
	<xsl:template match="thead | tfoot">
		<xsl:element name="{name(.)}">
			<xsl:attribute name="class">r<xsl:value-of select="name(.)"/></xsl:attribute>
			<xsl:call-template name="attribute"/>
			<xsl:call-template name="row"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="tbody">
		<tbody class="rtbody">
			<xsl:call-template name="attribute"/>
			<xsl:call-template name="row"/>
		</tbody>
	</xsl:template>
	<xsl:template match="row">
		<xsl:param name="spans"/>
		<tr>
			<xsl:if test="$table.borders.with.css != 0">
				<xsl:if test="@rowsep = 1">
					<xsl:attribute name="style"><xsl:call-template name="border"><xsl:with-param name="side" select="'bottom'"/></xsl:call-template></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:call-template name="attribute"/>
			<xsl:apply-templates select="entry[1]">
				<xsl:with-param name="spans" select="$spans"/>
			</xsl:apply-templates>
		</tr>
		<xsl:if test="following-sibling::row">
			<xsl:variable name="nextspans">
				<xsl:apply-templates select="entry[1]" mode="span">
					<xsl:with-param name="spans" select="$spans"/>
				</xsl:apply-templates>
			</xsl:variable>
			<xsl:apply-templates select="following-sibling::row[1]">
				<xsl:with-param name="spans" select="$nextspans"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>
	<xsl:template match="entry" name="entry">
		<xsl:param name="col" select="1"/>
		<xsl:param name="spans"/>
		<xsl:variable name="cellgi">
			<xsl:choose>
				<xsl:when test="ancestor::thead">th</xsl:when>
				<xsl:when test="ancestor::tfoot">th</xsl:when>
				<xsl:otherwise>td</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="empty.cell" select="count(node()) = 0"/>
		<xsl:variable name="named.colnum">
			<xsl:call-template name="entry.colnum"/>
		</xsl:variable>
		<xsl:variable name="entry.colnum">
			<xsl:choose>
				<xsl:when test="$named.colnum &gt; 0">
					<xsl:value-of select="$named.colnum"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$col"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="entry.colspan">
			<xsl:choose>
				<xsl:when test="@spanname or @namest">
					<xsl:call-template name="calculate.colspan"/>
				</xsl:when>
				<xsl:otherwise>1</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="following.spans">
			<xsl:call-template name="calculate.following.spans">
				<xsl:with-param name="colspan" select="$entry.colspan"/>
				<xsl:with-param name="spans" select="$spans"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="rowsep">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="."/>
				<xsl:with-param name="colnum" select="$entry.colnum"/>
				<xsl:with-param name="attribute" select="'rowsep'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="colsep">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="."/>
				<xsl:with-param name="colnum" select="$entry.colnum"/>
				<xsl:with-param name="attribute" select="'colsep'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="valign">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="."/>
				<xsl:with-param name="colnum" select="$entry.colnum"/>
				<xsl:with-param name="attribute" select="'valign'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="align">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="."/>
				<xsl:with-param name="colnum" select="$entry.colnum"/>
				<xsl:with-param name="attribute" select="'align'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="char">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="."/>
				<xsl:with-param name="colnum" select="$entry.colnum"/>
				<xsl:with-param name="attribute" select="'char'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="charoff">
			<xsl:call-template name="inherited.table.attribute">
				<xsl:with-param name="entry" select="."/>
				<xsl:with-param name="colnum" select="$entry.colnum"/>
				<xsl:with-param name="attribute" select="'charoff'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$spans != '' and not(starts-with($spans,'0:'))">
				<xsl:call-template name="entry">
					<xsl:with-param name="col" select="$col+1"/>
					<xsl:with-param name="spans" select="substring-after($spans,':')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$entry.colnum &gt; $col">
				<xsl:call-template name="empty.table.cell"/>
				<xsl:call-template name="entry">
					<xsl:with-param name="col" select="$col+1"/>
					<xsl:with-param name="spans" select="substring-after($spans,':')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="{$cellgi}">
					<xsl:if test="$show.revisionflag and @revisionflag">
						<xsl:attribute name="class"><xsl:value-of select="@revisionflag"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="$table.borders.with.css != 0">
						<xsl:attribute name="style"><xsl:if test="$colsep &gt; 0"><xsl:call-template name="border"><xsl:with-param name="side" select="'right'"/></xsl:call-template></xsl:if><xsl:if test="$rowsep &gt; 0"><xsl:call-template name="border"><xsl:with-param name="side" select="'bottom'"/></xsl:call-template></xsl:if></xsl:attribute>
					</xsl:if>
					<xsl:if test="@morerows &gt; 0">
						<xsl:attribute name="rowspan"><xsl:value-of select="1+@morerows"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="$entry.colspan &gt; 1">
						<xsl:attribute name="colspan"><xsl:value-of select="$entry.colspan"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="$align != ''">
						<xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="$valign != ''">
						<xsl:attribute name="valign"><xsl:value-of select="$valign"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="$char != ''">
						<xsl:attribute name="char"><xsl:value-of select="$char"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="$charoff != ''">
						<xsl:attribute name="charoff"><xsl:value-of select="$charoff"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="not(preceding-sibling::*) and ancestor::row/@id">
						<xsl:call-template name="anchor">
							<xsl:with-param name="node" select="ancestor::row[1]"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:call-template name="anchor"/>
					<xsl:choose>
						<xsl:when test="$empty.cell">
							<xsl:text>&#160;</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:choose>
					<xsl:when test="following-sibling::entry">
						<xsl:apply-templates select="following-sibling::entry[1]">
							<xsl:with-param name="col" select="$col+$entry.colspan"/>
							<xsl:with-param name="spans" select="$following.spans"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="finaltd">
							<xsl:with-param name="spans" select="$following.spans"/>
							<xsl:with-param name="col" select="$col+$entry.colspan"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="entry" name="sentry" mode="span">
		<xsl:param name="col" select="1"/>
		<xsl:param name="spans"/>
		<xsl:variable name="entry.colnum">
			<xsl:call-template name="entry.colnum"/>
		</xsl:variable>
		<xsl:variable name="entry.colspan">
			<xsl:choose>
				<xsl:when test="@spanname or @namest">
					<xsl:call-template name="calculate.colspan"/>
				</xsl:when>
				<xsl:otherwise>1</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="following.spans">
			<xsl:call-template name="calculate.following.spans">
				<xsl:with-param name="colspan" select="$entry.colspan"/>
				<xsl:with-param name="spans" select="$spans"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$spans != '' and not(starts-with($spans,'0:'))">
				<xsl:value-of select="substring-before($spans,':')-1"/>
				<xsl:text>:</xsl:text>
				<xsl:call-template name="sentry">
					<xsl:with-param name="col" select="$col+1"/>
					<xsl:with-param name="spans" select="substring-after($spans,':')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$entry.colnum &gt; $col">
				<xsl:text>0:</xsl:text>
				<xsl:call-template name="sentry">
					<xsl:with-param name="col" select="$col+$entry.colspan"/>
					<xsl:with-param name="spans" select="$following.spans"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="copy-string">
					<xsl:with-param name="count" select="$entry.colspan"/>
					<xsl:with-param name="string">
						<xsl:choose>
							<xsl:when test="@morerows">
								<xsl:value-of select="@morerows"/>
							</xsl:when>
							<xsl:otherwise>0</xsl:otherwise>
						</xsl:choose>
						<xsl:text>:</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="following-sibling::entry">
						<xsl:apply-templates select="following-sibling::entry[1]" mode="span">
							<xsl:with-param name="col" select="$col+$entry.colspan"/>
							<xsl:with-param name="spans" select="$following.spans"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="sfinaltd">
							<xsl:with-param name="spans" select="$following.spans"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Ende match -->
	<xsl:template name="attribute">
		<xsl:if test="@align">
			<xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@char">
			<xsl:attribute name="char"><xsl:value-of select="@char"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@charoff">
			<xsl:attribute name="charoff"><xsl:value-of select="@charoff"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@valign">
			<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>
		</xsl:if>
	</xsl:template>
	<xsl:template name="row">
		<xsl:apply-templates select="row[1]">
			<xsl:with-param name="spans">
				<xsl:call-template name="blank.spans">
					<xsl:with-param name="cols" select="../@cols"/>
				</xsl:call-template>
			</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>
	<xsl:template name="generate.colgroup">
		<xsl:param name="cols" select="1"/>
		<xsl:param name="count" select="1"/>
		<xsl:choose>
			<xsl:when test="$count &gt; $cols"/>
			<xsl:otherwise>
				<xsl:call-template name="generate.col">
					<xsl:with-param name="countcol" select="$count"/>
				</xsl:call-template>
				<xsl:call-template name="generate.colgroup">
					<xsl:with-param name="cols" select="$cols"/>
					<xsl:with-param name="count" select="$count+1"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="generate.col">
		<xsl:param name="countcol">1</xsl:param>
		<xsl:param name="colspecs" select="./colspec"/>
		<xsl:param name="count">1</xsl:param>
		<xsl:param name="colnum">1</xsl:param>
		<xsl:choose>
			<xsl:when test="$count>count($colspecs)">
				<col/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="colspec" select="$colspecs[$count=position()]"/>
				<xsl:variable name="colspec.colnum">
					<xsl:choose>
						<xsl:when test="$colspec/@colnum">
							<xsl:value-of select="$colspec/@colnum"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$colnum"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$colspec.colnum=$countcol">
						<col>
							<xsl:if test="$colspec/@colwidth and $use.extensions != 0 and $tablecolumns.extension != 0">
								<xsl:attribute name="width"><xsl:value-of select="$colspec/@colwidth"/></xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="$colspec/@align">
									<xsl:attribute name="align"><xsl:value-of select="$colspec/@align"/></xsl:attribute>
								</xsl:when>
								<!-- Suggested by Pavel ZAMPACH <zampach@nemcb.cz> -->
								<xsl:when test="$colspecs/ancestor::tgroup/@align">
									<xsl:attribute name="align"><xsl:value-of select="$colspecs/ancestor::tgroup/@align"/></xsl:attribute>
								</xsl:when>
							</xsl:choose>
							<xsl:if test="$colspec/@char">
								<xsl:attribute name="char"><xsl:value-of select="$colspec/@char"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="$colspec/@charoff">
								<xsl:attribute name="charoff"><xsl:value-of select="$colspec/@charoff"/></xsl:attribute>
							</xsl:if>
						</col>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="generate.col">
							<xsl:with-param name="countcol" select="$countcol"/>
							<xsl:with-param name="colspecs" select="$colspecs"/>
							<xsl:with-param name="count" select="$count+1"/>
							<xsl:with-param name="colnum">
								<xsl:choose>
									<xsl:when test="$colspec/@colnum">
										<xsl:value-of select="$colspec/@colnum + 1"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$colnum + 1"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
